

#declare pear_25 = 

merge {

lathe {
    cubic_spline
    35,
    <0, 0>, <0.65, 1>, <1.35, 2>, <1.9, 3>, <2.5, 4>,
    <3.0, 5>, <3.5, 6>, <3.9, 7>, <4.2, 8>, <4.3, 9>,
    <4.3, 10>, <4.15, 11>, <3.5, 12>, <3, 12.4>, <2, 13>,
    <2, 14>, <2, 15>, <2, 16>, 
    
    <1.6, 16>, <1.6, 14>,
    <1.6, 13>, <2.6, 12.4>, <3.1, 12>, <3.75, 11>, <3.9, 10>,
    <3.9, 9>, <3.8, 8>, <3.5, 7>, <3.1, 6>, <2.6, 5>,
    <2.1, 4>, <1.5, 3>, <0.95, 2>, <0.25, 1>, <0, 0>
    //sturm
    
  }

torus { 1.9, 0.25 translate <0, 15.75, 0> }

  

  texture { //first texture: the image map
  pigment {
    image_map {
      gif "pear.gif"
      map_type 2
      once
      filter 4, 1.0
    }
    quick_color Orange
  }
  finish {
    reflection 0.0
    ambient 0.5 //added 2/22/97 since the text was grey otherwise
  }
  scale <1, 16, 1>
  rotate <0, -90, 0>

  }
  
  
  texture { T_Glass3 }

}//end merge



















#declare grad_10 = 

//10 ml graduated cylinder

merge  //will merge 4 objects
{

//the main body of the grad. cylinder
//first of four components
lathe {
  linear_spline
  7,
  <1.5, 0>, <0.8, 0.6>, <0.8, 13.1>, <.7, 13.1>, <0.7, 0.6>,
  <1.4, 0>, <1.5, 0>




  texture {
  pigment {
    image_map {
      gif "gradcyl7b.gif"
      map_type 2
      once
      filter 4, 1.0
    }
    quick_color Orange
  }
  finish {
    reflection 0.0
    ambient 0.8 //added 2/22/97 since the text was grey otherwise
  }
  scale <1, 13, 1>
  rotate <0, -50, 0>

  }





  texture { T_Glass3 }
    
}

//the lip: second component
torus
{
  0.8,
  0.1
  translate <0, 13.1, 0>
  texture {
    T_Glass3
    pigment {quick_color Red}
  }
}

//along the bottom: third component
torus
{
  1.7, 0.25
  translate <0, 0, 0>
  texture {
    T_Glass3
    pigment {quick_color Red}
  }
}


//disk: bottom of interior; fourth and last component
torus
{
  0.35, 0.35
  scale <1, 0.1, 1>
  translate <0, 0.6, 0>
  texture {
    T_Glass3
    pigment {quick_color Red}
  }
}

translate <0, -6.725, 0>  // this brings the center of the object to <0, 0, 0>

} //end merge of 10ml graduated cylinder



//end grad_10 object





//-------------------------------------------------------
// 50 ml erlenmeyer
//--------------------------------------------------------

#declare erlen_fifty =

merge { //merge will contain three objects
lathe {
  cubic_spline
  12,
  <1.4, -0.4>, <2.0, 0>, <2.42, 0.5>, <2.2, 1.4>, <1.0, 6.1>,
  <1.05, 7.1>,

  <0.95, 7.1>, <0.9, 6.1>, <2.1, 1.4>, <2.32, 0.5>, <1.9, 0>,
  <1.3, -0.4>
  
  
  

  texture { //..first of two textures on this object
  pigment {
    image_map {
      gif "erlen50b.gif"
      map_type 2
      once
      filter 4, 1.0
    }
    quick_color Red
  }
  finish {
    reflection 0.0
  }
  scale <1, 7.1, 1>
  rotate <0, -90, 0>

  } //end first texture


  //second texture
  texture { T_Glass3 }
  
  
  
} //end lathe object


//the lip; second of three objects
torus
{
  1.05, 0.125
  scale <1, 2, 1>
  translate <0, 7.3, 0>
  texture {
    T_Glass3
    pigment {quick_color Red}
  }
}

//the bottom
torus
{
  1.00, 1.00
  scale <1, 0.01, 1>
  texture {
    T_Glass3
    pigment {quick_color Blue}
  }
} //end torus

} //end merge of 50 ml erlenmeyer




